
package net.mcreator.emeraldupdate.fluid;

import net.minecraftforge.fluids.ForgeFlowingFluid;

import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.block.state.StateDefinition;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.core.particles.ParticleOptions;

import net.mcreator.emeraldupdate.init.EmeraldupdateModItems;
import net.mcreator.emeraldupdate.init.EmeraldupdateModFluids;
import net.mcreator.emeraldupdate.init.EmeraldupdateModFluidTypes;
import net.mcreator.emeraldupdate.init.EmeraldupdateModBlocks;

public abstract class EmeraldgreenFluid extends ForgeFlowingFluid {
	public static final ForgeFlowingFluid.Properties PROPERTIES = new ForgeFlowingFluid.Properties(() -> EmeraldupdateModFluidTypes.EMERALDGREEN_TYPE.get(), () -> EmeraldupdateModFluids.EMERALDGREEN.get(),
			() -> EmeraldupdateModFluids.FLOWING_EMERALDGREEN.get()).explosionResistance(100f).tickRate(2).bucket(() -> EmeraldupdateModItems.EMERALDGREEN_BUCKET.get()).block(() -> (LiquidBlock) EmeraldupdateModBlocks.EMERALDGREEN.get());

	private EmeraldgreenFluid() {
		super(PROPERTIES);
	}

	@Override
	public ParticleOptions getDripParticle() {
		return ParticleTypes.HEART;
	}

	public static class Source extends EmeraldgreenFluid {
		public int getAmount(FluidState state) {
			return 8;
		}

		public boolean isSource(FluidState state) {
			return true;
		}
	}

	public static class Flowing extends EmeraldgreenFluid {
		protected void createFluidStateDefinition(StateDefinition.Builder<Fluid, FluidState> builder) {
			super.createFluidStateDefinition(builder);
			builder.add(LEVEL);
		}

		public int getAmount(FluidState state) {
			return state.getValue(LEVEL);
		}

		public boolean isSource(FluidState state) {
			return false;
		}
	}
}
